Method: users.dataTypes.dataPoints.batchDelete

Delete a batch of identifyable data points.

HTTP request

POST https://health.googleapis.com/v4/{parent=users/*/dataTypes/*}/dataPoints:batchDelete

The URL uses gRPC Transcoding syntax. To know more about valid error responses that can be thrown by this HTTP request, please refer to the service error catalog

Path parameters

Parameters
parent

string

Optional. Parent (data type) for the Data Point collection Format: users/me/dataTypes/{dataType}, e.g.:

  • users/me/dataTypes/steps
  • users/me/dataTypes/-

For a list of the supported data types see the DataPoint data union field.

Deleting data points across multiple data type collections is supported following https://aip.dev/159.

If this is set, the parent of all of the data points specified in names must match this field. It takes the form users/{user}/dataTypes/{datatype}.

Request body

The request body contains data with the following structure:

JSON representation
{
  "names": [
    string
  ]
}
Fields
names[]

string

Required. The names of the DataPoints to delete. A maximum of 10000 data points can be deleted in a single request.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/googlehealth.activity_and_fitness
  • https://www.googleapis.com/auth/googlehealth.health_metrics_and_measurements
  • https://www.googleapis.com/auth/googlehealth.location
  • https://www.googleapis.com/auth/googlehealth.nutrition
  • https://www.googleapis.com/auth/googlehealth.sleep

For more information, see the OAuth 2.0 Overview.